JanosVM v0.6.0 Java API

## edu.utah.janosvm.sys
Class TeamEvent

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.TeamEvent

public class TeamEvent
extends java.lang.Object

Simple class that describes a team related event.

Field Summary
`static int` `BURIED` The team is dead and all of its resources have been reclaimed.
`static int` `CREATED` The team was created.
`static int` `FINISHED` There are only daemon threads left in the team.
`static int` `TERMINATED` The team was marked for termination.

Constructor Summary
`TeamEvent()`

Method Summary
`int` `getEvent()`
`int` `getID()`
`java.lang.String` `getName()`
`void` `setEvent(int value)`
`void` `setID(int id)`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATED

    public static final int CREATED

  The team was created.

### FINISHED

    public static final int FINISHED

  There are only daemon threads left in the team.

### TERMINATED

    public static final int TERMINATED

  The team was marked for termination.

### BURIED

    public static final int BURIED

  The team is dead and all of its resources have been reclaimed.

Constructor Detail

### TeamEvent

    public TeamEvent()

Method Detail

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name of the team that the event relates to.

### getName

    public java.lang.String getName()

  Returns:
    The name of the team that the event relates to.

### setID

    public void setID(int id)

  Parameters:
    `id` - The unique identifier of the team.

### getID

    public int getID()

  Returns:
    The unique identifier of the team.

### setEvent

    public void setEvent(int value)

  Parameters:
    `value` - The event number.

### getEvent

    public int getEvent()

  Returns:
    The event number.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002